## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ParameterViewerRegistryReader

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ParameterViewerRegistryReader

    public class ParameterViewerRegistryReader

extends java.lang.Object

Registry reader for parameter table viewer

Author:
  Chetan Bhatia

Field Summary
`static java.lang.String` `EXTERNAL_PARAMETER_VIEWER`
`static java.lang.String` `EXTERNAL_PARAMETER_VIEWER_CLASS`
`static java.lang.String` `EXTERNAL_PARAMETER_VIEWER_DEFAULTVIEWER_NAME`
`static java.lang.String` `EXTERNAL_PARAMETER_VIEWER_ID`
`static java.lang.String` `EXTERNAL_PARAMETER_VIEWER_VENDOR`

Method Summary
`static ParameterViewerRegistryReader` `getInstance()` Gets an instance of ParameterRegistryReader
`ParameterViewerProvider` `getParameterViewerExecutable(java.lang.String viewerName)` Gets the executable for parameter viewer
`java.util.List` `getParameterViewers()` Gets a list of parameter viewers from extensions providers

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTERNAL_PARAMETER_VIEWER

    public static final java.lang.String EXTERNAL_PARAMETER_VIEWER

See Also:
  Constant Field Values

### EXTERNAL_PARAMETER_VIEWER_CLASS

    public static final java.lang.String EXTERNAL_PARAMETER_VIEWER_CLASS

See Also:
  Constant Field Values

### EXTERNAL_PARAMETER_VIEWER_VENDOR

    public static final java.lang.String EXTERNAL_PARAMETER_VIEWER_VENDOR

See Also:
  Constant Field Values

### EXTERNAL_PARAMETER_VIEWER_ID

    public static final java.lang.String EXTERNAL_PARAMETER_VIEWER_ID

See Also:
  Constant Field Values

### EXTERNAL_PARAMETER_VIEWER_DEFAULTVIEWER_NAME

    public static final java.lang.String EXTERNAL_PARAMETER_VIEWER_DEFAULTVIEWER_NAME

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static ParameterViewerRegistryReader getInstance()

  Gets an instance of ParameterRegistryReader

  Returns:
    an instance of ParameterRegistryReader

### getParameterViewers

    public java.util.List getParameterViewers()

  Gets a list of parameter viewers from extensions providers

  Returns:
    a list of parameter viewers provided by extensions

### getParameterViewerExecutable

    public ParameterViewerProvider getParameterViewerExecutable(java.lang.String viewerName)

  Gets the executable for parameter viewer

  Parameters:
    `viewerName` - the name of the viewer
  Returns:
    the executable for the parameter viewer, or null if no match is found. This executable extends ExternalParameterViewerProvider